/*	Part of the design of D is "No empty ; for loop bodies".  Well, you'll
 *	see that it applies to conditionals, with statements and the like as well
 *	as loops.  However, there are cases where this rule fails to be enforced.
 *
 *	In fact, the D spec doesn't allow a semicolon on its own as a statement
 *	form.  Therefore, empty_statement_01 is the underlying cause of this bug.
 *	But I've decided to put this special case and others in anyway.
 *
 *	Category: nocompile
 */
void main() {
	debug;
}
