/*	This tests the inheritance of in contracts.
 *	See http://www.digitalmars.com/d/dbc.html section
 *	"In, Out and Inheritance".
 *
 *	This is the same as in_inherit_1, except that the calls are made through
 *	a Derived object reference.
 *
 *	Category: run
 */
class Base {
	void func(int x)
	in {
		assert (x >= 10);
	}
	body {}
}


class Derived : Base {
	override void func(int x)
	in {
		assert(x % 10 >= 5);
	}
	body {}
}


int main() {
	Derived o = new Derived;

	o.func(5);
	o.func(15);
	o.func(10);

	return 0;
}
