/*	The IsExpression has, according to the spec, the following grammar:
 *
 *	IsExpression:
 *		is ( Type )
 *		is ( Type : TypeSpecialization )
 *		is ( Type == TypeSpecialization )
 *		is ( Type Identifier )
 *		is ( Type Identifier : TypeSpecialization )
 *		is ( Type Identifier == TypeSpecialization )
 *
 *	However, at the moment the compiler is accepting forms that violate the
 *	spec in this respect.  For example, the expression form
 *
 *		Identifier ( )
 *
 *	is not parseable as a type.  Therefore, the compiler should report a
 *	syntax error.
 *
 *	Category: nocompile
 */
int qwert = is(yuiop());
