/*	This tests a bug that was introduced in DMD 0.116 or thereabouts.
 *	If a function returning non-void has at least one return statement, but
 *	some path through the function doesn't return anything, then a warning
 *	is generated if warnings are enabled.  However, as much as Walter's
 *	been pretending otherwise, it is still illegal for a function returning
 *	non-void to have no return statements at all.
 *
 *	http://www.digitalmars.com/d/statement.html#return
 *	"At least one return statement is required if the function specifies a
 *	return type that is not void."
 *
 *	Category: nocompile
 */
int main() {}
