/*	The D spec includes these forms of escaped characters:
 *
 *	\u1234			wchar character
 *	\U00101234		dchar character
 *
 *	It follows that you should be allowed to write Unicode characters
 *	in the UTF-16 surrogate format, just as you can do UTF-8 stuff with \x.
 *
 *	Category: run
 */
int main() {
	wchar[] text = "\uD808\uDF45";

	assert (text.length == 2);
	assert (text[0] == 0xD808);
	assert (text[1] == 0xDF45);

	return 0;
}
