/*	This tests the inheritance of in contracts.
 *	See http://www.digitalmars.com/d/dbc.html section
 *	"In, Out and Inheritance".
 *
 *	This tests the case where the call fails both the new and inherited
 *	preconditions and hence is illegal.
 *
 *	Category: norun
 */
class Base {
	void func(int x)
	in {
		assert (x >= 10);
	}
	body {}
}


class Derived : Base {
	override void func(int x)
	in {
		assert(x % 10 >= 5);
	}
	body {}
}


int main() {
	Base o = new Derived;

	o.func(0);

	return 0;
}
