/*	This tests the inheritance of out contracts.
 *	See http://www.digitalmars.com/d/dbc.html section
 *	"In, Out and Inheritance".
 *
 *	This test is for a function that violates its inherited out contract.
 *
 *	Category: norun
 */
class Base {
	int func()
	out (result) {
		assert (result >= 10);
	}
	body {
		return 20;
	}
}


class Derived : Base {
	override int func()
	out (result) {
		assert (result <= 15);
	}
	body {
		return 8;
	}
}


int main() {
	Derived o = new Derived;

	o.func();

	return 0;
}
